/*
** Module   : Key.java
** Abstract : Key codes.
**
** Copyright (c) 2010-2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 SIY 20100629 Created initial version
** 002 SIY 20100804 Changes in imports, some refactorings.
** 003 GES 20110920 Added F21 through F24.
** 004 CA  20141123 Added code for CTRL-BREAK key.
** 005 CA  20141206 Added codes for text selection in GUI: SHIFT-CURSOR-RIGHT,SHIFT-CURSOR-LEFT, 
**                  SHIFT-HOME, SHIFT-END.
** 006 VIG 20150221 Added space action code.
*/

package com.goldencode.p2j.ui.client.event;

/**
 * Key codes.
 */
public interface Key
{
   // Key codes adjusted to fit P2J needs
   public static final int  VK_DELETE         = 127;
   public static final int  VK_F1             = 301;
   public static final int  VK_F2             = 302;
   public static final int  VK_F3             = 303;
   public static final int  VK_F4             = 304;
   public static final int  VK_F5             = 305;
   public static final int  VK_F6             = 306;
   public static final int  VK_F7             = 307;
   public static final int  VK_F8             = 308;
   public static final int  VK_F9             = 309;
   public static final int  VK_F10            = 310;
   public static final int  VK_F11            = 311;
   public static final int  VK_F12            = 312;
   public static final int  VK_F13            = 313;
   public static final int  VK_F14            = 314;
   public static final int  VK_F15            = 315;
   public static final int  VK_F16            = 316;
   public static final int  VK_F17            = 317;
   public static final int  VK_F18            = 318;
   public static final int  VK_F19            = 319;
   public static final int  VK_F20            = 320;
   public static final int  VK_F21            = 321;
   public static final int  VK_F22            = 322;
   public static final int  VK_F23            = 323;
   public static final int  VK_F24            = 324;
   public static final int  VK_CURSOR_UP      = 501;
   public static final int  VK_CURSOR_DOWN    = 502;
   public static final int  VK_CURSOR_RIGHT   = 503;
   public static final int  VK_CURSOR_LEFT    = 504;
   public static final int  VK_HOME           = 505;
   public static final int  VK_END            = 506;
   public static final int  VK_PAGE_UP        = 507;
   public static final int  VK_PAGE_DOWN      = 508;
   public static final int  VK_BACK_TAB       = 509;
   public static final int  VK_INSERT         = 510;
   public static final int  VK_CTRL_BREAK     = 541;
   public static final int  VK_CTRL_AT        = 0;
   public static final int  VK_CTRL_A         = 1;
   public static final int  VK_CTRL_B         = 2;
   public static final int  VK_CTRL_C         = 3;
   public static final int  VK_CTRL_D         = 4;
   public static final int  VK_CTRL_E         = 5;
   public static final int  VK_CTRL_F         = 6;
   public static final int  VK_CTRL_G         = 7;
   public static final int  VK_BELL           = 7;
   public static final int  VK_BACKSPACE      = 8;
   public static final int  VK_TAB            = 9;
   public static final int  VK_CTRL_J         = 10;
   public static final int  VK_CTRL_K         = 11;
   public static final int  VK_CTRL_L         = 12;
   public static final int  VK_ENTER          = 13;
   public static final int  VK_CTRL_N         = 14;
   public static final int  VK_CTRL_O         = 15;
   public static final int  VK_CTRL_P         = 16;
   public static final int  VK_CTRL_Q         = 17;
   public static final int  VK_CTRL_R         = 18;
   public static final int  VK_CTRL_S         = 19;
   public static final int  VK_CTRL_T         = 20;
   public static final int  VK_CTRL_U         = 21;
   public static final int  VK_CTRL_V         = 22;
   public static final int  VK_CTRL_W         = 23;
   public static final int  VK_CTRL_X         = 24;
   public static final int  VK_CTRL_Y         = 25;
   public static final int  VK_CTRL_Z         = 26;
   public static final int  VK_ESCAPE         = 27;
   public static final int  VK_CTRL_BCKSL     = 28;
   public static final int  VK_CTRL_RBR       = 29;
   public static final int  VK_CTRL_CARET     = 30;
   public static final int  VK_CTRL_SUB       = 31;
   public static final int  VK_SHIFT_CURSOR_RIGHT = 1015;
   public static final int  VK_SHIFT_CURSOR_LEFT  = 1016;
   public static final int  VK_SHIFT_HOME         = 1017;
   public static final int  VK_SHIFT_END          = 1018;
   public static final int  VK_SPACE              = 32;
}